<?php

namespace Modules\Deal\Enums;


Enum DealStatusEnum: int
{
    case Brief_Submitted = 1;
    
    case Amending_Brie = 2;
          
    case Moodboard_Requested = 3;

    case Moodboard_Submitted = 4;

    case Amending_Moodboard = 5;
    
    case Three_D_Render_Requested = 6;
    
    case Proposal_Submitted = 7;
    
    case Amending_Proposal = 8;
    
    case Quotation_Requested = 9;
    
    case Quotation_Submitted = 10;
    
    case Confirmed = 11;
    
    case Rejected= 12;

    case Payment_Received = 13;

    public static function values()
    {
        return array_column(SELF::cases(),'value');
    }
    public static function finished()
    {
        return [
            self::Confirmed->value,
            self::Rejected->value
        ];
    }
}
